cURL
curl --request POST \
--url https://alto.dialme.at/api/altov2/public/templates/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"conversational_states": {}
}
'import requests
url = "https://alto.dialme.at/api/altov2/public/templates/create"
payload = {
"title": "<string>",
"description": "<string>",
"conversational_states": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>', conversational_states: {}})
};
fetch('https://alto.dialme.at/api/altov2/public/templates/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"result": {
"_id": "tp_***",
"title": "<string>",
"description": "<string>",
"instruction": {},
"conversational_states": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Bad Request"
}{
"message": "Unauthorized"
}{
"message": "Not Found"
}{
"message": "Method Not Allowed"
}Conversational Template Collection
Create a Template
POST
/
templates
/
create
cURL
Body
application/json
Required string length:
3 - 180Required string length:
3 - 360- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I